#pragma once

#include "CoreMinimal.h"
#include "FlashlightablePointsLightingStrategy.h"
#include "GameplayTagContainer.h"
#include "BlindFlashlightableLightingStrategy.generated.h"

class AActor;

UCLASS(Blueprintable, EditInlineNew)
class DBDSURVIVORCOLLECTABLES_API UBlindFlashlightableLightingStrategy : public UFlashlightablePointsLightingStrategy
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere)
	TArray<FGameplayTag> _flashlightableIgnoreTags;

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	TSet<AActor*> _additionalOcclusionIgnoredActors;

public:
	UBlindFlashlightableLightingStrategy();
};

FORCEINLINE uint32 GetTypeHash(const UBlindFlashlightableLightingStrategy) { return 0; }
